"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'takeabyte',
    name: 'TakeaByte',
    description: 'TakeaByte is a NORDIC Private Torrent Tracker for 0DAY / GENERAL',
    language: 'en-US',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://takeabyte-nordic.org/'],
    certificates: ['4a558e562fa0fb01b17ea9e5842bbd96b9093192'],
    caps: {
        categorymappings: [
            { id: '9', cat: 'Movies/3D', desc: 'Movies 3D' },
            { id: '56', cat: 'Movies', desc: 'Movies' },
            { id: '47', cat: 'Movies/BluRay', desc: 'Movies BD 1080p' },
            { id: '54', cat: 'Movies/BluRay', desc: 'Movies BD Remux' },
            { id: '43', cat: 'Movies', desc: 'Movies TBN' },
            { id: '40', cat: 'Movies', desc: 'Movies Danish' },
            { id: '34', cat: 'Movies/DVD', desc: 'Movies DVD-R' },
            { id: '11', cat: 'Movies/HD', desc: 'HD 1080p' },
            { id: '14', cat: 'Movies/HD', desc: 'HD-720p' },
            { id: '19', cat: 'Movies', desc: 'Movies Kids' },
            { id: '21', cat: 'Movies/Other', desc: 'Movies Boxset' },
            { id: '20', cat: 'Movies', desc: 'Movies MP4' },
            { id: '49', cat: 'Movies', desc: 'Movies Nordisk' },
            { id: '42', cat: 'Movies', desc: 'Movies Norway' },
            { id: '41', cat: 'Movies', desc: 'Movies Swedish' },
            { id: '10', cat: 'Movies/SD', desc: 'Movies XviD' },
            { id: '28', cat: 'TV', desc: 'TV-Series' },
            { id: '27', cat: 'TV/Other', desc: 'TV Boxset' },
            { id: '30', cat: 'PC/Mac', desc: 'Apps Mac' },
            { id: '31', cat: 'PC/Mobile-Other', desc: 'Apps Mobile' },
            { id: '1', cat: 'PC/0day', desc: 'Apps Windows' },
            { id: '35', cat: 'Audio/Lossless', desc: 'Music Flac' },
            { id: '22', cat: 'Audio/MP3', desc: 'Music MP3' },
            { id: '24', cat: 'Audio/Video', desc: 'Music Video' },
            { id: '23', cat: 'Audio/Other', desc: 'Music Boxset' },
            { id: '7', cat: 'Console/Wii', desc: 'Games Console' },
            { id: '8', cat: 'PC/Games', desc: 'Games PC' },
            { id: '32', cat: 'Audio/Audiobook', desc: 'Audio-Books' },
            { id: '33', cat: 'Books/Ebook', desc: 'E-Books' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep', 'imdbid'],
            'movie-search': ['q', 'imdbid'],
            'music-search': ['q'],
            'book-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'freeleech',
            type: 'checkbox',
            label: 'Search freeleech only',
            default: false,
        },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: 4,
            options: { '1': 'title', '4': 'created', '5': 'size', '7': 'seeders' },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 'desc',
            options: { desc: 'desc', asc: 'asc' },
        },
    ],
    login: {
        path: 'takelogin.php',
        method: 'post',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
            returnto: '/',
        },
        error: [
            {
                selector: 'h2:contains("Login failed!")',
                message: { selector: 'table tr td.colhead2' },
            },
        ],
        test: { path: '/', selector: 'a[href^="logout.php?hash_please="]' },
    },
    search: {
        paths: [{ path: 'browse.php' }],
        inputs: {
            $raw: '{{ range .Categories }}c{{.}}=1&{{end}}',
            search: '{{ if .Query.IMDBID }}{{ .Query.IMDBID }}{{ else }}{{ .Keywords }}{{ end }}',
            searchin: '{{ if .Query.IMDBID }}imdb{{ else }}title{{ end }}',
            incldead: 1,
            audio: 0,
            subs: 0,
            only_free: '{{ if .Config.freeleech }}1{{ else }}{{ end }}',
            sort: '{{ .Config.sort }}',
            type: '{{ .Config.type }}',
        },
        rows: {
            selector: 'table tr:has(a[href^="browse.php?cat="]):has(a[href^="details.php?id="])',
            filters: [{ name: 'andmatch' }],
        },
        fields: {
            title: { selector: 'a[href^="details.php?id="] b' },
            details: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            category: {
                selector: 'a[href^="browse.php?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            download: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
                filters: [
                    {
                        name: 'replace',
                        args: ['details.php?id=', 'download.php?torrent='],
                    },
                ],
            },
            imdb: {
                selector: 'a[href*="imdb.com/title/tt"]',
                attribute: 'href',
            },
            size: { selector: 'td:nth-last-child(4)' },
            files: { selector: 'td:nth-last-child(7)' },
            grabs: {
                selector: 'td:nth-last-child(3)',
                filters: [{ name: 'regexp', args: '(\\d+)' }],
            },
            date: {
                optional: true,
                selector: 'td:nth-last-child(5):not(:contains("day"))',
                filters: [
                    { name: 'regex', args: ['(.+?)<[^>]*>(.+?)', '$1 $2'] },
                    { name: 'append', args: ' +00:00' },
                    { name: 'dateparse', args: 'Jan 2 2006 15:04:05 -07:00' },
                ],
            },
            seeders: { selector: 'td:nth-last-child(2)' },
            leechers: { selector: 'td:nth-last-child(1)' },
            downloadvolumefactor: {
                case: { 'b:contains("[Free and Double]")': 0, '*': 1 },
            },
            uploadvolumefactor: {
                case: { 'b:contains("[Free and Double]")': 2, '*': 1 },
            },
            minimumratio: { text: 1 },
            minimumseedtime: { text: 172800 },
        },
    },
    source: 'jackett',
};
